<?php
declare( strict_types=1 );

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

add_action(
	'wp_enqueue_scripts',
	function () {
		wp_add_inline_style(
			'fibofilters',
			'body {
				--fibofilters--colors--base: var( --accent, var( --fibofilters--colors--base-org ) );
				--fibofilters--colors--link: var( --accent, var( --fibofilters--colors--link-org ) );
			}'
		);
	}
);

/*
 * ╭───────────────────╮
 * | Products per page |
 * ╰───────────────────╯
 */
add_filter(
	'fibofilters/config/products_per_page',
	function ( $products_per_page ): int {

		if ( function_exists( 'generatepress_wc_products_per_page' )
		     && function_exists( 'generatepress_is_module_active' )
		     && generatepress_is_module_active( 'generate_package_woocommerce', 'GENERATE_WOOCOMMERCE' ) ) {
			$products_per_page = (int) generatepress_wc_products_per_page();

			if ( empty( $products_per_page ) ) {
				$products_per_page = 9;
			}
		}

		return $products_per_page;
	}
);
